Page MenuHomePhabricator

Homepage: mentor message text style issue in mobile mentorship module dialog
Closed, ResolvedPublicBUG REPORT

Description

In the context of the mobile Newcomer homepage, the mentor's message text style in the mobile Mentorship module dialog is not correct. According to mockup's specifications the font-size should be as close as possible to 18px and letter-spacing should be .016em.

Actual Results:

Expected Results:

.growthexperiments-homepage-mentorship-intro {
  font-size: 1.1em;
}

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterHomepage recent questions: Send language code from client
mediawiki/extensions/GrowthExperiments : masterMentorship: update intro text size on mobile

Event Timeline

Cntlsn created this task.Aug 12 2019, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 5:12 PM
Cntlsn triaged this task as Low priority.Aug 12 2019, 5:12 PM
phuedx moved this task from Needs triage to Growth on the Mobile board.Aug 15 2019, 11:10 AM

Change 530579 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Mentorship: update intro text size on mobile

https://gerrit.wikimedia.org/r/530579

Change 530579 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Mentorship: update intro text size on mobile

https://gerrit.wikimedia.org/r/530579

For Design review:

     .growthexperiments-homepage-mobile-details .growthexperiments-homepage-mentorship-intro, .growthexperiments-homepage-module-mobile-overlay .growthexperiments-homepage-mentorship-intro {
font-size: 1.1em;
letter-spacing: 0.016em;

(Interesting that "Your recent questions" label dispalyed untranslated, but when I checked there was no untranslated messagesin cswiki).

With long descriptionWith uselang=cs

Font-size and leading LGTM

Maybe we can investigate why the translate strings for "Your recent questions" and the time since a question was posted ("Posted $1") are not showing up, since they are shown as translated:

I don't know why uselang=cs didn't work in this case, but if you change the language to cs via the language selector widget the strings appear correctly

I don't know why uselang=cs didn't work in this case, but if you change the language to cs via the language selector widget the strings appear correctly

Ah, I do know why. On the server side, we render the "Your recent questions" section with the correct language, but it's updated immediately via JS (so we have the correct archived status of questions) and that is not respecting the language code set by the user.

Change 531434 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] QuestionStore API: Accept language code from client

https://gerrit.wikimedia.org/r/531434

Moving back into code review for the language rendering bit.

RHo added a comment.Aug 21 2019, 12:51 PM

hi @kostajh - actually, I am reviewing further tasks related to letter-spacing and can we remove specifying letter-spacing from all the modules please? It has very marginal benefit considering we are using the standard sans-serif font stack anyway, and in the different languages we have the module, I prefer to not change the letter-spacing from the default of 0 in case of unintended visual effects.

I will update the task description accordingly.

RHo updated the task description. (Show Details)Aug 21 2019, 12:52 PM

hi @kostajh - actually, I am reviewing further tasks related to letter-spacing and can we remove specifying letter-spacing from all the modules please? It has very marginal benefit considering we are using the standard sans-serif font stack anyway, and in the different languages we have the module, I prefer to not change the letter-spacing from the default of 0 in case of unintended visual effects.
I will update the task description accordingly.

Done in a patch not linked here. So, the remaining issue for code review and then QA is rendering the "Your recent questions" bit in the language that the user is viewing the wiki (e.g. uselang=cs when the wiki content language is en).

Change 531434 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Homepage recent questions: Send language code from client

https://gerrit.wikimedia.org/r/531434

Checked in betalabs

  • letter-spacing is removed
  • uselang works

MMiller_WMF closed this task as Resolved.Aug 28 2019, 6:38 PM